OpenNMS API 1.2.9

## org.opennms.report.availability
Class Category

    java.lang.Object
      org.opennms.report.availability.Category

All Implemented Interfaces:
  java.io.Serializable

public class Category
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_catComments`
`private int` `_catIndex`
`private java.lang.String` `_catName`
`private java.util.ArrayList` `_catSectionsList`
`private boolean` `_has_catIndex` keeps track of state for field: _catIndex
`private boolean` `_has_ipaddrCount` keeps track of state for field: _ipaddrCount
`private boolean` `_has_nodeCount` keeps track of state for field: _nodeCount
`private boolean` `_has_normal` keeps track of state for field: _normal
`private boolean` `_has_serviceCount` keeps track of state for field: _serviceCount
`private boolean` `_has_warning` keeps track of state for field: _warning
`private int` `_ipaddrCount`
`private int` `_nodeCount`
`private double` `_normal`
`private int` `_serviceCount`
`private double` `_warning`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Category()`

Method Summary
`void` `addCatSections(CatSections vCatSections)`
`void` `addCatSections(int index, CatSections vCatSections)`
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `clearCatSections()`
`void` `deleteCatIndex()`
`void` `deleteIpaddrCount()`
`void` `deleteNodeCount()`
`void` `deleteNormal()`
`void` `deleteServiceCount()`
`void` `deleteWarning()`
`java.util.Enumeration` `enumerateCatSections()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getCatComments()` Returns the value of field 'catComments'.
`int` `getCatIndex()` Returns the value of field 'catIndex'.
`java.lang.String` `getCatName()` Returns the value of field 'catName'.
`CatSections[]` `getCatSections()`
`CatSections` `getCatSections(int index)`
`java.util.Collection` `getCatSectionsCollection()`
`int` `getCatSectionsCount()`
`int` `getIpaddrCount()` Returns the value of field 'ipaddrCount'.
`int` `getNodeCount()` Returns the value of field 'nodeCount'.
`double` `getNormal()` Returns the value of field 'normal'.
`int` `getServiceCount()` Returns the value of field 'serviceCount'.
`double` `getWarning()` Returns the value of field 'warning'.
`boolean` `hasCatIndex()`
`boolean` `hasIpaddrCount()`
`boolean` `hasNodeCount()`
`boolean` `hasNormal()`
`boolean` `hasServiceCount()`
`boolean` `hasWarning()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removeCatSections(CatSections vCatSections)`
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setCatComments(java.lang.String catComments)` Sets the value of field 'catComments'.
`void` `setCatIndex(int catIndex)` Sets the value of field 'catIndex'.
`void` `setCatName(java.lang.String catName)` Sets the value of field 'catName'.
`void` `setCatSections(CatSections[] catSectionsArray)`
`void` `setCatSections(int index, CatSections vCatSections)`
`void` `setCatSectionsCollection(java.util.Collection vCatSections)`
`void` `setIpaddrCount(int ipaddrCount)` Sets the value of field 'ipaddrCount'.
`void` `setNodeCount(int nodeCount)` Sets the value of field 'nodeCount'.
`void` `setNormal(double normal)` Sets the value of field 'normal'.
`void` `setServiceCount(int serviceCount)` Sets the value of field 'serviceCount'.
`void` `setWarning(double warning)` Sets the value of field 'warning'.
`static Category` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _catName

    private java.lang.String _catName

### _catSectionsList

    private java.util.ArrayList _catSectionsList

### _catComments

    private java.lang.String _catComments

### _warning

    private double _warning

### _has_warning

    private boolean _has_warning

  keeps track of state for field: _warning

### _normal

    private double _normal

### _has_normal

    private boolean _has_normal

  keeps track of state for field: _normal

### _catIndex

    private int _catIndex

### _has_catIndex

    private boolean _has_catIndex

  keeps track of state for field: _catIndex

### _nodeCount

    private int _nodeCount

### _has_nodeCount

    private boolean _has_nodeCount

  keeps track of state for field: _nodeCount

### _ipaddrCount

    private int _ipaddrCount

### _has_ipaddrCount

    private boolean _has_ipaddrCount

  keeps track of state for field: _ipaddrCount

### _serviceCount

    private int _serviceCount

### _has_serviceCount

    private boolean _has_serviceCount

  keeps track of state for field: _serviceCount

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Category

    public Category()

Method Detail

### addCatSections

    public void addCatSections(CatSections vCatSections)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vCatSections` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addCatSections

    public void addCatSections(int index,
                               CatSections vCatSections)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vCatSections` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### clearCatSections

    public void clearCatSections()

### deleteCatIndex

    public void deleteCatIndex()

### deleteIpaddrCount

    public void deleteIpaddrCount()

### deleteNodeCount

    public void deleteNodeCount()

### deleteNormal

    public void deleteNormal()

### deleteServiceCount

    public void deleteServiceCount()

### deleteWarning

    public void deleteWarning()

### enumerateCatSections

    public java.util.Enumeration enumerateCatSections()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getCatComments

    public java.lang.String getCatComments()

  Returns the value of field 'catComments'.

  Returns:
    the value of field 'catComments'.

### getCatIndex

    public int getCatIndex()

  Returns the value of field 'catIndex'.

  Returns:
    the value of field 'catIndex'.

### getCatName

    public java.lang.String getCatName()

  Returns the value of field 'catName'.

  Returns:
    the value of field 'catName'.

### getCatSections

    public CatSections getCatSections(int index)
                               throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getCatSections

    public CatSections[] getCatSections()

### getCatSectionsCollection

    public java.util.Collection getCatSectionsCollection()

### getCatSectionsCount

    public int getCatSectionsCount()

### getIpaddrCount

    public int getIpaddrCount()

  Returns the value of field 'ipaddrCount'.

  Returns:
    the value of field 'ipaddrCount'.

### getNodeCount

    public int getNodeCount()

  Returns the value of field 'nodeCount'.

  Returns:
    the value of field 'nodeCount'.

### getNormal

    public double getNormal()

  Returns the value of field 'normal'.

  Returns:
    the value of field 'normal'.

### getServiceCount

    public int getServiceCount()

  Returns the value of field 'serviceCount'.

  Returns:
    the value of field 'serviceCount'.

### getWarning

    public double getWarning()

  Returns the value of field 'warning'.

  Returns:
    the value of field 'warning'.

### hasCatIndex

    public boolean hasCatIndex()

### hasIpaddrCount

    public boolean hasIpaddrCount()

### hasNodeCount

    public boolean hasNodeCount()

### hasNormal

    public boolean hasNormal()

### hasServiceCount

    public boolean hasServiceCount()

### hasWarning

    public boolean hasWarning()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removeCatSections

    public boolean removeCatSections(CatSections vCatSections)

  Parameters:
    `vCatSections` -

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setCatComments

    public void setCatComments(java.lang.String catComments)

  Sets the value of field 'catComments'.

  Parameters:
    `catComments` - the value of field 'catComments'.

### setCatIndex

    public void setCatIndex(int catIndex)

  Sets the value of field 'catIndex'.

  Parameters:
    `catIndex` - the value of field 'catIndex'.

### setCatName

    public void setCatName(java.lang.String catName)

  Sets the value of field 'catName'.

  Parameters:
    `catName` - the value of field 'catName'.

### setCatSections

    public void setCatSections(int index,
                               CatSections vCatSections)
                        throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vCatSections` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setCatSections

    public void setCatSections(CatSections[] catSectionsArray)

  Parameters:
    `catSectionsArray` -

### setCatSectionsCollection

    public void setCatSectionsCollection(java.util.Collection vCatSections)

  Parameters:
    `vCatSections` -

### setIpaddrCount

    public void setIpaddrCount(int ipaddrCount)

  Sets the value of field 'ipaddrCount'.

  Parameters:
    `ipaddrCount` - the value of field 'ipaddrCount'.

### setNodeCount

    public void setNodeCount(int nodeCount)

  Sets the value of field 'nodeCount'.

  Parameters:
    `nodeCount` - the value of field 'nodeCount'.

### setNormal

    public void setNormal(double normal)

  Sets the value of field 'normal'.

  Parameters:
    `normal` - the value of field 'normal'.

### setServiceCount

    public void setServiceCount(int serviceCount)

  Sets the value of field 'serviceCount'.

  Parameters:
    `serviceCount` - the value of field 'serviceCount'.

### setWarning

    public void setWarning(double warning)

  Sets the value of field 'warning'.

  Parameters:
    `warning` - the value of field 'warning'.

### unmarshal

    public static Category unmarshal(java.io.Reader reader)
                              throws org.exolab.castor.xml.MarshalException,
                                     org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.